Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008508Dwarf FortressDwarf Mode -- Immigrationpublic2014-11-03 02:392018-02-04 15:56
ReporterSteveTheRed 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformWindowsOS7OS Version64 bit SP1
Product Version0.40.14 
Target VersionFixed in Version0.44.06 
Summary0008508: Immigrants sometimes arrive with cave adaptation
DescriptionSome migrants arrive with cave adaptation in full effect and immediately start vomiting over the landscape.

They've just hiked overland to my fortress. Shouldn't they have got used to the yellow face during their trip?
Steps To ReproduceGet migrants. Watch the slow ones. Observe piles of vomit.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0037421)
Talvieno (reporter)
2017-12-28 22:04

Can confirm this still exists. Also, cave adaptation seems to be much more prevalent than I remember it being previously.
(0037426)
Sarmatian123 (reporter)
2017-12-29 03:12
edited on: 2017-12-29 03:13

This bug applies not only to cave adaptation.

On one of my embarks I had some predator birds issues and during first year couple of Dwarves lost their leg due combat. I think my Dwarven civilization had in tech disabled high boots by default as well. In following years numerous immigrants arriving to my embark were limbless and walking on crutches. Though I had default population roof then at 200, so it wasn't an issue there.

I think it has something to do with assigning skills to new arrivals. Player can opt out from this option in init.

Funny fact about cave adaptation. For first few years of my embark, usually my meeting area is bellow ground. So at first I move my meeting area at front of my fortress gate (light - above ground) for a year, as visiting diplomats suffer horrible cave adaptation and would paint my entire fortress in green. I have same issue with children. Though drafting them and stationing outside for entire season solves it. I wouldn't mind vomit, if only Dwarves could clean above ground areas. Why it can't be enabled? I have plenty of soap (1000+ tallow) to clean entire forest from animal blood pools too. :P Just someone please enable it.

(0037428)
FantasticDorf (reporter)
2017-12-29 03:37

Dwarves are [DIURNAL] within the raws, so do not have the subsequent excuse of travelling at night time to avoid cave adaption, and currently can't travel underground (atleast in a realised way) between sites.

Your additional comment on above ground mess would be better purposed for forums discussion, no offense intended, since this space is largely for discussion around the bug-report rather than suggestions.

Limblessness is very odd, the only other place i have seen this happen is within a moddded playable goblin civ where many of the the migrants who survive combat continue faced with the injuries of constant war with missing eyes & noses etc, maybe these migrants were hurt in a similar violent conflict.
(0037429)
Sarmatian123 (reporter)
2017-12-29 04:00

@FantasticDorf. It was still on topic, though as funny fact rather then an additional issue. Plus I am sure Toady wouldn't appreciate me spamming his forum with my moany moans. The list of those I wrote down has like 265 entries now. Toady is doing super job. He released new feature. Let him enjoy. I don't want to depress him with boring fortress mode's building stuff. :D
(0037431)
Huntthetroll (reporter)
2017-12-29 12:46

Immigrants who arrive at your fort already cave-adapted may have lived in a mountain halls before deciding to move to your fort. You can tell that the game takes this into account, because if you play as a dwarf citizen of a mountain halls in adventure mode, your character will start out cave-adapted.

In other words, this may not be a bug at all, but rather a hidden detail of gameplay.
(0037713)
Detros (manager)
2018-01-28 00:54

Could you upload the save with some such adapted dwarves arriving (zipped save folder) to http://dffd.bay12games.com/ [^] and post a link to it here, please?
(0037747)
Vivalas (reporter)
2018-02-03 21:13

If you're living in the mountainhomes, except for on larger worlds, the travel time will probably be no more than a few days. Don't think that is enough to shake off cave adaption, so this might not be a bug.
(0037748)
PatrikLundell (reporter)
2018-02-04 00:58

This save shows some migrant kids with cave adaptation.
http://dffd.bay12games.com/file.php?id=13482 [^]

- Issue History
Date Modified Username Field Change
2014-11-03 02:39 SteveTheRed New Issue
2017-12-28 22:04 Talvieno Note Added: 0037421
2017-12-29 03:12 Sarmatian123 Note Added: 0037426
2017-12-29 03:13 Sarmatian123 Note Edited: 0037426 View Revisions
2017-12-29 03:37 FantasticDorf Note Added: 0037428
2017-12-29 04:00 Sarmatian123 Note Added: 0037429
2017-12-29 10:12 4maskwolf Issue Monitored: 4maskwolf
2017-12-29 12:46 Huntthetroll Note Added: 0037431
2018-01-28 00:54 Detros Note Added: 0037713
2018-01-28 00:54 Detros Assigned To => Detros
2018-01-28 00:54 Detros Status new => needs feedback
2018-02-03 21:13 Vivalas Note Added: 0037747
2018-02-04 00:58 PatrikLundell Note Added: 0037748
2018-02-04 15:56 Toady One Status needs feedback => resolved
2018-02-04 15:56 Toady One Fixed in Version => Next Version
2018-02-04 15:56 Toady One Resolution open => fixed
2018-02-04 15:56 Toady One Assigned To Detros => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker